Preloader 0.29!

Discussion in 'Wii - Hacking' started by _Contra_, Mar 31, 2009.

  1. _Contra_
    OP

    _Contra_ GBAtemp Fan

    Member
    319
    9
    Feb 11, 2009
    Italy
    0.29:

    -added a feature to load the system menu with any IOS version you want.
    -The installer includes an IOS patcher which when found patches IOS60 so preloader can fully work with system menu 4.0
    -Moved some text around for better visibility on 4:3 screens
    -fixed a bug which let the disc endlessly spin when wc24 was enabled and the wii got turned off
    -fixed a bug which broke system menu loading when the system got formated

    http://crediar.no-ip.com/preloaderv0.29-cred.rar

    [​IMG]
     


  2. fishears

    fishears fishears

    Member
    694
    0
    Sep 28, 2008
    TOO MUCH GREAT STUFF BEING RELEASED
    BRAIN ABOUT TO EXPLODE
    OMFG
     
  3. Adr990

    Adr990 To boldly go where no man has gone before!

    Member
    1,470
    146
    Apr 22, 2007
    Netherlands
    The Netherlands
    Crediar did update his application "Preloader" from 0.28 to 0.29.


    Changelog on site: http://crediar.no-ip.com/prldr-00.29.txt
    Changelog in rar pack:
    preloader v0.29 by crediar (3/31/2009)
    -------------------------------------------------------------------------------------


    First of all I want to thank 'zouzzz zzzuoz', AlexLH, GizmoTheGreen and SquidMan.
    Thanks to svpe for the ES_DIVerfiy patch.


    IMPORTANT NOTE:
    -------------------------------------------------------------------------------------
    When the installer finds IOS60 it will patch the ES_DIVerfiy function,
    so preloader can load the system menu with IOS60.


    WARNING:
    -------------------------------------------------------------------------------------
    SINCE THIS TOOL CHANGES THE WAY THE WII WORKS IN A WAY IT WAS NEVER INTENDED TO,
    THERE IS A RISK OF BRICKING YOUR CONSOLE.

    I'VE DONE EVERYTHING I CAN TO ASSURE THAT NOTHING WILL BRICK.
    BUT THIS IS STILL NO GUARANTEE!!
    THE AUTHOR CAN NOT BE HELD RESPONSIBLE FOR ANY DAMAGE IT MIGHT CAUSE!
    YOU ACCEPT THAT YOU INSTALL THIS ON YOUR OWN RISK!


    What is preloader and what the hell does it do:
    -------------------------------------------------------------------------------------
    preloader is a small application which places itself before the system menu.

    It's main feature is to directly boot the Homebrew Channel or a file you can install
    from a FAT device.

    preloader is also able to apply memory patches the system menu to remove limitations
    or other things.

    Since preloader places itself before the system menu any problems that would cause
    the system menu to fail are not causing your whole wii to stop working.

    If autoboot is enabled and you want to access preloader's menu simply hold RESET
    while powering the wii on.


    Hacks:
    -------------------------------------------------------------------------------------
    To install additional System Menu patches, simply copy the "hacks.ini" file
    included with preloader into the root of your SD card.
    Then,boot into preloader's settings, and chose to enable or disable the patches
    in the Hack Settings menu.

    Once applied, your patches are placed in NAND, so feel free to erase the file
    on your SD card.

    The format for adding additional hacks, or patches, to your hacks.ini file is simple
    and should explain itself.


    Uninstall:
    -------------------------------------------------------------------------------------
    The simplest and safest way to remove preloader is to reinstall the System Menu
    using AnyRegion Changer or a WAD installer.


    Greetings:
    -------------------------------------------------------------------------------------
    (in random order)
    there are way to many people to greet and before I forget
    some I just don't list any [​IMG]

    devkitPro
    Team Twiizers

    #todXXX the sanctuary!
    #playground
    #wiidev (both of them!)
    #dsidev

    Changelog:
    -------------------------------------------------------------------------------------
    0.29:
    -added a feature to load the system menu with any IOS version you want.
    -The installer includes an IOS patcher which when found patches IOS60
    so preloader can fully work with system menu 4.0
    -Moved some text around for better visibility on 4:3 screens
    -fixed a bug which let the disc endlessly spin when wc24 was enabled
    and the wii got turned off
    -fixed a bug which broke system menu loading when the system got formated

    Download:
    http://crediar.no-ip.com/preloaderv0.29-cred.rar

    Do not upload on upload dumps!
    Or else crediar will stop updating Preloader...

    There is no Wifi update!

    USE THIS AT YOUR OWN RISK! NO ONE IS RESPONSIBLE FOR YOUR ACTIONS NOR BRICKS!

    - This also patch the IOS60 if found! (So all will work proper)

    4.0 Installation guide:

    Get IOS60 wad and 4.0 system menu wad (IN YOUR REGION!)

    First install IOS60
    Than System menu 4.0
    Than preloader 0.29

    Done... [​IMG]
     
  4. Majinchuck1

    Majinchuck1 Member

    Newcomer
    48
    0
    Jan 7, 2009
    United States
    Queens NY
    OMG Somebody Loves us
     
  5. _Contra_
    OP

    _Contra_ GBAtemp Fan

    Member
    319
    9
    Feb 11, 2009
    Italy
    I can first install the preloader 0 29 and then the 4.0 update?
     
  6. marice

    marice GBAtemp Regular

    Member
    133
    6
    Mar 14, 2009
    Netherlands
    God question... i want to know this too..
     
  7. SanGor

    SanGor Witchhunter

    Member
    993
    79
    Aug 21, 2008
    United States
    first 4.0 then preloader
     
  8. CopyCaet

    CopyCaet Member

    Newcomer
    35
    0
    Jan 7, 2009
    Netherlands
    I'd say no, because preloader moves the system menu and then take it's place so installing preloader first and then update will basically overwrite preloader AFAIk.

    Btw, anyone knows the password? Can't seem to find it hehe
    Edit: Ah nvm, pressing 1 seems to do the trick, my bad [​IMG]
     
  9. fishears

    fishears fishears

    Member
    694
    0
    Sep 28, 2008
    Crediar doesn't say that the installation method has changed so you would still need to upgrade to 4.0 and then install Preloader. Installing a new System Menu will overwrite Preloader in NAND...
     
  10. Adr990

    Adr990 To boldly go where no man has gone before!

    Member
    1,470
    146
    Apr 22, 2007
    Netherlands
    The Netherlands
  11. marice

    marice GBAtemp Regular

    Member
    133
    6
    Mar 14, 2009
    Netherlands
    thnx..

    updating to 4.0 right now
     
  12. unheared

    unheared Advanced Member

    Newcomer
    84
    0
    Dec 1, 2008
    will this still block the updates ?
     
  13. Adr990

    Adr990 To boldly go where no man has gone before!

    Member
    1,470
    146
    Apr 22, 2007
    Netherlands
    The Netherlands
    edit... wtf happend?
     
  14. resistor

    resistor Advanced Member

    Newcomer
    56
    0
    Jan 12, 2009
    where can i find 4.0 system menu to install? there isnt any game with it
     
  15. shadoxXx

    shadoxXx Advanced Member

    Newcomer
    65
    0
    Nov 10, 2008
    Gambia, The
    so prelodaer 0.29 won't work on System Menu 3.2?
    1.) update with waninkokos tool ^^
    2.) install preloader 0.29
    3.) downgrade to 3.4

    possible? or impossible that's the question ^^
     
  16. Scarfish

    Scarfish GBAtemp Regular

    Member
    101
    0
    Jan 5, 2009
    Netherlands
    Will the patch on IOS60 work when it's other than the original (eg. the one with DIP8 in it or only trucha patched)?
     
  17. marice

    marice GBAtemp Regular

    Member
    133
    6
    Mar 14, 2009
    Netherlands
    ok maybe im an idiot.. but i installed 4.0.. and now i get this error:
    "failed to get root, current ios 36 has fakesinging bug fixed."

    anyone help?
     
  18. fishears

    fishears fishears

    Member
    694
    0
    Sep 28, 2008
    Installed just fine but it does not like my 4GB SD card. It says it can't find hacks.ini when I try to do System Hacks and it says No SD Card if I try to install a dol.....
    I suppose I'll have to reduce the partition to 2GB?!
     
  19. Daku93

    Daku93 GBAtemp Regular

    Member
    286
    60
    Jul 24, 2008
    Gambia, The
    Düsseldorf, Germany
    Well, My DVD-Drive does not stop if I turn off my Wii! That was the only thing why I Updated!!
     
  20. Red_Squirrel

    Red_Squirrel Advanced Member

    Newcomer
    73
    0
    Feb 8, 2009
    Italy
    L'Aquila
    Can I update my preloader 0.28 under Firmware 3.2? Or this version is ONLY for Firmware 4.0? [​IMG]